All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
roboptim::SolverWarning Class Reference
Optimization problems

Exception used for non-critical errors during optimization. More...

`#include <roboptim/core/solver-warning.hh>`

Inheritance diagram for roboptim::SolverWarning:

## Public Member Functions

| SolverWarning (const std::string &arg) throw ()
| Instantiate the class with a message. More...
virtual std::ostream & | print (std::ostream &) const throw ()
| Display the problem on the specified output stream. More...
Public Member Functions inherited from roboptim::SolverError
| SolverError (const std::string &arg) throw ()
| Instantiate an error from an error message. More...
| SolverError (const std::string &arg, const Result &res) throw ()
| Instantiate an error from an error message. More...
| SolverError (const SolverError &error) throw ()
| Copy constructor. More...
| ~SolverError () throw ()
| Trivial destructor. More...
const boost::optional< Result > & | lastState () const throw ()
| Retrieve the (optional) last state of the solver. More...
boost::optional< Result > & | lastState () throw ()
| Retrieve the (optional) last state of the solver. More...

## Detailed Description

Exception used for non-critical errors during optimization.

This class is mainly used to populate the warning vector of the ResultWithWarnings class.

## Constructor & Destructor Documentation

roboptim::SolverWarning::SolverWarning | ( | const std::string & | arg | ) |
throw | ( |
| ) |  |

explicit

Instantiate the class with a message.

Parameters

  arg | message

## Member Function Documentation

std::ostream & roboptim::SolverWarning::print | ( | std::ostream & | o | ) | const
throw | ( |
| ) |  |

virtual

Display the problem on the specified output stream.

Parameters

  o | output stream used for display

Returns
  output stream

Reimplemented from roboptim::SolverError.